Bug 506181 - mkbootdisk can't generate isos
mkbootdisk can't generate isos
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mkbootdisk (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 17:36 EDT by bug
Modified: 2009-10-08 23:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 23:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple patch - location of isolinux.bin (582 bytes, patch)
2009-06-15 17:43 EDT, bug
no flags Details | Diff

  None (edit)
Description bug 2009-06-15 17:36:15 EDT
Description of problem:
mkbootdisk --iso fails, it tries to copy isolinux.bin from the old place (syslinux has changed).

Additional info:
Patch attached.

Notes:
rpmbuild --rebuild on http://kojipkgs.fedoraproject.org/packages/mkbootdisk/1.5.3/5.fc11/src/mkbootdisk-1.5.3-5.fc11.src.rpm fails (target arch:i586, default for the i386 F11), but if you make rpmbuild -tb on the source inside the SRPMS (mkbootdisk-1.5.3.tar.gz), it works (with the patch).
Comment 1 bug 2009-06-15 17:43:07 EDT
Created attachment 348016 [details]
simple patch - location of isolinux.bin
Comment 2 Roland Wintgen 2009-09-30 05:33:32 EDT
As of today this bug is still open. Are there any chances to get this patch into the mainline repository?

The latest stable version shipped with F11 is mkbootdisk-1.5.3-4.fc10.i386 dated Aug, 8th 2008.

"mkbootdisk --device 2.6.30.8-64.fc11.iso --iso 2.6.30.8-64.fc11.i586" produces the following result:
cp: cannot stat `/usr/lib/syslinux/isolinux.bin': No such file or directory
genisoimage: Uh oh, I cant find the boot image 'isolinux/isolinux.bin' !
Comment 3 Fedora Update System 2009-10-01 13:04:53 EDT
mkbootdisk-1.5.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mkbootdisk-1.5.4-1.fc11
Comment 4 Fedora Update System 2009-10-03 15:08:50 EDT
mkbootdisk-1.5.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mkbootdisk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10211
Comment 5 Roland Wintgen 2009-10-05 06:57:08 EDT
new release works as expected and can boot my system from as rescue CD.
Comment 6 bug 2009-10-05 08:52:39 EDT
The new release from the updates-testing repository has been tested and worked OK.
Comment 7 Fedora Update System 2009-10-05 11:13:48 EDT
mkbootdisk-1.5.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mkbootdisk-1.5.4-1.fc12
Comment 8 Fedora Update System 2009-10-08 23:39:52 EDT
mkbootdisk-1.5.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.